import { type FC, type ReactNode } from 'react';
interface UsercentricsProviderProps {
    children: ReactNode;
    /**
     * Whether to throw if invalid Service Id has been used.
     * @default false
     */
    strictMode?: boolean;
    /**
     * The timeout value in milliseconds after which loading of the Usercentrics
     * script will be assumed to have failed.
     * @default 5000
     */
    timeout?: number;
}
export declare const UsercentricsProvider: FC<UsercentricsProviderProps>;
export {};
