/**
 * The url of the Usercentercis Web CMP v3 loader script. Useful when generating Link headers, for example.
 *
 * @example
 * response.headers.append(
 *   'Link',
 *   `<${USERCENTRICS_WEB_CMP_LOADER_SCRIPT_URL}>; rel=prefetch; as=script; fetchpriority="high"`,
 * )
 */
export const USERCENTRICS_WEB_CMP_LOADER_SCRIPT_URL = 'https://web.cmp.usercentrics.eu/ui/loader.js';
