/**
 * Whether all Usercentrics services have been given consent.
 * Returns `true` or `false` based on consent status, or `null` when unknown (not yet loaded).
 *
 * @warn it's best to assume no consent until this hook returns `true`
 */
export declare const useAreAllConsentsAccepted: () => boolean | null;
